# This file created by conda-build 3.21.9
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_bb4pqbwr6c/clone/recipe, last modified Fri Aug  5 13:38:37 2022
# ------------------------------------------------

package:
  name: python-kubernetes
  version: 23.6.0
source:
  sha256: cadb1cd7c44eae5b39b50316313343c0f2aff94529f067ec2ba44d38411158e3
  url: https://pypi.io/packages/source/k/kubernetes/kubernetes-23.6.0.tar.gz
build:
  number: '0'
  script: /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_bb4pqbwr6c/croots/recipe/python-kubernetes_1659724732997/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . -vv
  string: py37hecd8cb5_0
requirements:
  host:
    - ca-certificates 2022.07.19 hecd8cb5_0
    - certifi 2022.6.15 py37hecd8cb5_0
    - libcxx 12.0.0 h2f01273_0
    - libffi 3.3 hb1e8313_2
    - ncurses 6.3 hca72f7f_3
    - openssl 1.1.1q hca72f7f_0
    - pip 22.1.2 py37hecd8cb5_0
    - python 3.7.13 hdfd78df_0
    - readline 8.1.2 hca72f7f_1
    - setuptools 61.2.0 py37hecd8cb5_0
    - sqlite 3.39.0 h707629a_0
    - tk 8.6.12 h5d9f67b_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 hca72f7f_1
    - zlib 1.2.12 h4dc903c_2
  run:
    - certifi >=14.05.14
    - google-auth >=1.0.1
    - python >=3.7,<3.8.0a0
    - python-dateutil >=2.5.3
    - pyyaml >=5.4.1
    - requests
    - requests-oauthlib
    - setuptools >=21.0.0
    - six >=1.9.0
    - urllib3 >=1.24.2
    - websocket-client >=0.32.0,!=0.40.0,!=0.41.*,!=0.42.*
test:
  commands:
    - pip check
  imports:
    - kubernetes
    - kubernetes.client
    - kubernetes.client.apis
    - kubernetes.client.models
    - kubernetes.config
    - kubernetes.watch
  requires:
    - pip
about:
  dev_url: https://github.com/kubernetes-incubator/client-python
  home: https://github.com/kubernetes-incubator/client-python
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE
  summary: The official Kubernetes python client.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: bb0d1721-bb39-4892-bac7-123c74003a57
  recipe-maintainers:
    - johanneskoester
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/python-kubernetes-feedstock.git
  sha: f8648b281f83e7e3dc9985224998b38d0c0fc950
